# Automate CV Processing Code

#import the Libraries
from pyresparser import ResumeParser
import os
from docx import Document
# input the resume (can be in .txt, .docx or .pdf formats)
cv=input()
# read the resume and save it as a.docx file then pass that file to the pyresparser loibrary to extract the features from the .docx file text. 
try:
    doc = Document()
    with open(cv, 'r') as file:
        doc.add_paragraph(file.read())
    doc.save("text.docx")
    data = ResumeParser('text.docx').get_extracted_data()
except:
data = ResumeParser(cv).get_extracted_data()
# display the extracted features 
data


